/**
 * Created by janis dähne.
 */
import {
  SET_canAddUserToGroupAction,
  SET_canAssessExercisesAction,
  SET_canChangeExercisesAction,
  SET_canChangeGroupDataAction,
  SET_canChangeOtherMembersRoleAction,
  SET_canCreateExercisesAction,
  SET_canDeleteExercisesAction, SET_canLockExercisesPermanentlyAction,
  SET_canReleaseExercisesAction,
  SET_canRemoveMemberFromGroupAction,
  SET_canSeeExercisesFromOthersInGroupAction,
  SET_canSeeOtherMembersAction,
  SET_displayNameAction, SET_groupRoleAction,
  SET_idAction
} from "../../../reducers/groupRolesSite/groupRoleReducer/groupRoleReducer";
import {ActionType} from "../../../reducers/groupRolesSite/groupRoleReducer/groupRolesDialogActionTypes";
import {GroupRoleWithPermissionFullBase} from "../../../../types/groupRoles";
import {ThunkAction} from "redux-thunk";
import {MultiActions} from "../../types";


export function setTargetGroupRole(groupRole: GroupRoleWithPermissionFullBase): SET_groupRoleAction {
  return {
    type: ActionType.SET_groupRole,
    groupRole
  }
}


export function setId(id: number): SET_idAction {
  return {
    type: ActionType.SET_id,
    id
  }
}

export function setDisplayName(displayName: string): SET_displayNameAction {
  return {
    type: ActionType.SET_displayName,
    displayName
  }
}

export function setCanCreateExercises(can: boolean): SET_canCreateExercisesAction {
  return {
    type: ActionType.SET_canCreateExercises,
    can
  }
}

export function setCanChangeExercises(can: boolean): SET_canChangeExercisesAction {
  return {
    type: ActionType.SET_canChangeExercises,
    can
  }
}

export function setCanDeleteExercises(can: boolean): SET_canDeleteExercisesAction {
  return {
    type: ActionType.SET_canDeleteExercises,
    can
  }
}

export function setCanLockExercisesPermanently(can: boolean): SET_canLockExercisesPermanentlyAction {
  return {
    type: ActionType.SET_canLockExercisesPermanently,
    can
  }
}

export function setCanReleaseExercises(can: boolean): SET_canReleaseExercisesAction {
  return {
    type: ActionType.SET_canReleaseExercises,
    can
  }
}

export function setCanAssessExercises(can: boolean): SET_canAssessExercisesAction {
  return {
    type: ActionType.SET_canAssessExercises,
    can
  }
}

export function setCanSeeExercisesFromOthersInGroup(can: boolean): SET_canSeeExercisesFromOthersInGroupAction {
  return {
    type: ActionType.SET_canSeeExercisesFromOthersInGroup,
    can
  }
}

export function setCanAddUserToGroup(can: boolean): SET_canAddUserToGroupAction {
  return {
    type: ActionType.SET_canAddUserToGroup,
    can
  }
}

export function setCanRemoveMemberFromGroup(can: boolean): SET_canRemoveMemberFromGroupAction {
  return {
    type: ActionType.SET_canRemoveMemberFromGroup,
    can
  }
}

export function setCanChangeOtherMembersRole(can: boolean): SET_canChangeOtherMembersRoleAction {
  return {
    type: ActionType.SET_canChangeOtherMembersRole,
    can
  }
}

export function setCanSeeOtherMembers(can: boolean): SET_canSeeOtherMembersAction {
  return {
    type: ActionType.SET_canSeeOtherMembers,
    can
  }
}

export function setCanChangeGroupData(can: boolean): SET_canChangeGroupDataAction {
  return {
    type: ActionType.SET_canChangeGroupData,
    can
  }
}

